> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nerves-hub.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Support Script to a Device



## OpenAPI

````yaml https://manage.nervescloud.com/api/openapi post /api/devices/{identifier}/scripts/{name_or_id}
openapi: 3.0.0
info:
  description: >
    The NervesCloud API gives users full access to their

    Orgs, Products, and corresponding Device fleets.


    The API can be used to integrate with your own systems, providing full
    access to your Product and Device data.


    The API is documented using the OpenAPI 3.0 specification.
  title: NervesCloud API
  version: 2.0.0
servers:
  - url: https://manage.nervescloud.com
    variables: {}
security:
  - bearer_auth: []
tags:
  - description: User authentication and API token creation
    name: Auth
  - description: Organization Certificate Authority management
    name: CA Certificates
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices
  - description: Log lines Devices have sent over the logging extension
    name: Device Logs
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices (short URL)
  - description: Device Certificate management
    name: Device Certificates
  - description: Identities a Device holds on networks NervesHub does not run
    name: Network Identities
  - description: Deployment Group and release management
    name: Deployment Groups
  - description: Firmware uploading and management
    name: Firmwares
  - description: Organization iroh endpoint id registration
    name: Iroh Endpoints
  - description: Organization management
    name: Organizations
  - description: Organization User membership management
    name: Organization Members
  - description: Product management
    name: Products
  - description: Organization Signing Key management
    name: Signing Keys
  - description: Product Support Script management
    name: Support Scripts
  - description: Platform healthcheck
    name: Platform Status
paths:
  /api/devices/{identifier}/scripts/{name_or_id}:
    post:
      tags:
        - Devices (short URL)
      summary: Send a Support Script to a Device
      operationId: NervesHubWeb.API.ScriptController.send.short
      parameters:
        - description: Device Identifier
          example: abc123
          in: path
          name: identifier
          required: true
          schema:
            type: string
        - description: Support Script Name or ID. Name takes priority.
          example: my-script
          in: path
          name: name_or_id
          required: true
          schema:
            oneOf:
              - type: string
              - type: integer
        - description: How long to wait for a device response in milliseconds
          example: '10000'
          in: query
          name: timeout
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            text/plain:
              schema:
                type: string
          description: Script output
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
      callbacks: {}
      deprecated: false
      security:
        - bearer_auth: []
components:
  schemas:
    ErrorResponse:
      description: Error response
      example:
        errors:
          detail: Resource Not Found or Authorization Insufficient
      properties:
        errors:
          properties:
            detail:
              type: string
          type: object
      title: ErrorResponse
      type: object
  securitySchemes:
    bearer_auth:
      scheme: bearer
      type: http

````